Summary:  Library used to query system info and statistics
Name:     libsysstat
Version:  0.4.6
Release:  1%{?dist}
License:  GPLv2 and LGPLv2+
Url:      http://www.lxde.org
Source0:  https://github.com/lxqt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++, cmake >= 3.1.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  lxqt-build-tools >= 0.6.0

%description
Library used to query system info and statistics

%package devel
Summary:	Devel files for libsysstat
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Sysstat libraries for development.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc AUTHORS
%{_libdir}/libsysstat-qt5.so.0
%{_libdir}/libsysstat-qt5.so.0.4.6

%files devel
%dir %{_includedir}/sysstat-qt5/
%{_includedir}/sysstat-qt5/*
%{_libdir}/pkgconfig/sysstat-qt5.pc
%{_libdir}/libsysstat-qt5.so
%{_datadir}/cmake/sysstat-qt5/*
%dir %{_datadir}/cmake/sysstat-qt5/

%changelog
* Tue Jan 02 2024 Chair <chairou@tencent.com> - 0.4.6-1
- Init
